var i = require("../../../../utils/util.js")
var e = getApp(),
  a = e.globalData.setting,
  os = a,
  t = e.request,
  d = e.globalData;
Page({
  data: {
    url: a.url, //接口网址
    iurl: a.imghost, //图片前缀网址
    itemShow: false, //项目栏目是否显示
    cardShow: false, //代金券栏目是否显示
    packShow: false, //福利栏目是否显示
    textShow: false, //规则是否显示
    integralShow: true, //积分领取是否显示
    growUpShow: true, //成长值领取是否显示
    itemButton: '',
    cardButton: '',
    getActId: '',
    getActType: '',
    giftID: '',
    receiveState: 0,
    textTitle: '',
    getUrl: '',
    noShow: false,
    cards: [], //礼包内容--礼券
    itemWare: [], //礼包内容--服务项目
    integralTitle: "",
    growUpTitle: "",
    is_sub: 0, //是否重复领取
    bimg: "", //评价有礼背景图片
    actFontColor: "", //字体颜色
    actBgColor: "", //背景颜色
  },
  GetList: function() {
    var th = this;
    wx.showLoading({
      title: '加载中',
    })
    var url = "/api/weshop/marketing/giftbag/bound/get";
    getApp().request.promiseGet(url, {
      isShowLoading: true,
      data: {
        "actId": th.data.getActId, //活动id
        "actType": 3, //活动类型 1新人礼 2评价有礼 3节日营销 4生日营销
        "giftBagId": th.data.giftID, //礼包ID
        "storeId": a.stoid, //商家ID
        "userId": d.user_id //用户ID
      }
    }).then(res => {
      if (res.data.code == 0) {
        if (res.data.data.lbCoupons != null && res.data.data.lbCoupons.length > 0) {
          //礼包内容--礼券
          th.setData({
            cardShow: true,
            cards: res.data.data.lbCoupons
          })
        }
        if (res.data.data.lbSM != null && res.data.data.lbSM.length > 0) {
          //礼包内容--服务项目
          th.setData({
            itemShow: true,
            itemWare: res.data.data.lbSM
          })
        }
        //礼包积分
        if (res.data.data.lbIntegral <= 0) {
          if (res.data.data.lbGrowthValue <= 0) {
            th.setData({
              packShow: false
            })
          } else {
            th.setData({
              packShow: false,
              integralShow: false,
              growUpShow: true
            })
          }

        } else {
          if (res.data.data.lbGrowthValue > 0) {
            th.setData({
              packShow: true
            })
          } else {
            th.setData({
              packShow: true,
              integralShow: true,
              growUpShow: false
            })
          }
        }
        th.setData({
          integralTitle: '价值' + res.data.data.lbIntegral + '积分',
          growUpTitle: '价值' + res.data.data.lbGrowthValue + '成长值'
        })
        if (res.data.data.receiveState == 0) {
          th.setData({
            receiveState: 0
          })
        } else {
          th.setData({
            receiveState: 1
          })
        }

        if (res.data.data.actIntro != '') {
          th.setData({
            textShow: true,
            textTitle: res.data.data.actIntro.replace(/\<img/gi, '<img style="max-width:100%;height:auto;display：block"')
          })
        }
      } else {
        getApp().my_warnning(res.data.msg, 0, th);
        return false;
      }
    })
  },

  onLoad: function(options) {
    if(options.transfer){
      let obj=getApp().globalData.ts_trans_data;
      options= JSON.parse(JSON.stringify(obj));
      getApp().globalData.ts_trans_data=null;
 }

    var th = this;
    th.setData({
      getActId: options.actId,
      giftID: options.giftBagId
    })

    wx.setNavigationBarTitle({
      title: "节日有礼",
    });
  },
  onShow: function() {
    //--先判断会员状态--
    var user_info = getApp().globalData.userInfo;
    if (user_info == null || user_info.mobile == undefined || user_info.mobile == "" || user_info.mobile == null) {
      getApp().goto('/packageE/pages/togoin/togoin');
      return false;
    }
    this.is_festival();
    this.GetList();

  },
  GetReceive: function() {
    var th = this;
    if (th.data.receiveState) {
      return false;
    }
    var is_sub = th.data.is_sub; //判断是否重复提交
    if (is_sub == 0) {
      th.setData({
        is_sub: 1
      })
      var json = {
        "actId": th.data.getActId, //活动Id
        "actType": 3, //活动类型 1:新人礼、2:评价有礼、3:节日营销、4:生日营销
        "giftBagId": th.data.giftID, //礼包Id
        "storeId": a.stoid, //商家Id
        "userId": d.user_id, //用户ID
        "buyFrom": 2
      }
      var data = JSON.stringify(json);
      var url = th.data.url + "/api/weshop/marketing/free/receive/gift/record/insert";
      getApp().request.json_post(url, json,
        function (res) {
          th.setData({
            is_sub: 0
          })
          if (res.data.code == 0) {
            th.setData({
              receiveState: 1
            })
            getApp().my_warnning("领取成功", 1, th);
          } else {
            getApp().my_warnning(res.data.msg, 0, th);
          }
        },
        function (res) {
        }
      )
    }
  },
  //获取节日有礼信息
  is_festival: function(e) {
    var th = this;
    var url = "/api/weshop/marketing/holiday/act/judge";
    console.log(th.data.getActId);
    getApp().request.promiseGet(url, {
      data: {
        storeId: a.stoid, //商家ID
        userId: d.user_id, //用户ID
        id:th.data.getActId
      }
    }).then(res => {
      if (res.data.code == 0) {
        th.setData({
          bimg: res.data.data.actImg,
          actFontColor: res.data.data.actFontColor, //字体颜色
          actBgColor: res.data.data.actBgColor, //背景颜色
        })
      }
    })
  },
  //界面跳转
  goto: function(e) {
    var url = e.currentTarget.dataset.url;
    getApp().goto(url);
  },
  //图片失败，默认图片
  bind_bnerr1: function(e) {
    var th = this;
    var _errImg = e.target.dataset.errorimg;
    var _Img = e.target.dataset.img;
    if (_Img != undefined) {
      var _errObj = {};
      _errObj[_errImg] = "/miniapp/images/giftbag/gift02.png";
      th.setData(_errObj) //注意这里的赋值方式,只是将数据列表中的此项图片路径值替换掉 ;
    }
  },
});